QGIS Application - Bug report #20367
"avoid intesection"” cannot be enabled without activating snapping
2018-11-05 02:46 PM - Antonio Viscomi

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28187
Description

New description:

Subject says it all. This is NOT the case in 2.18.

Old description:

Hi all,

I noticed this bug:

- activate advanced snapping configuration enabling "Avoid Intersection" option on two layers;

- then | deactivate snap on one of two layers (but "Avoid Intersection" flag was not syncronized with layer flag);
- | tried to create a new polygon in my feature, but editing came out with error (geometry is collapsed);

- then | deactivated "Avoid Intersection” from unflagged layer;

- | created the new geometry and all works fine.

| attach a screencast that show this

History

#1 - 2018-11-05 03:10 PM - Antonio Viscomi

3.4.1 and 15b2352ea2 versions are affected

#2 - 2018-11-05 04:06 PM - Giovanni Manghi
- Status changed from Open to Feedback

Did you tagged as a regression because a previous version worked as expected?

#3 - 2018-11-05 05:10 PM - Antonio Viscomi

Giovanni Manghi wrote:

Did you tagged as a regression because a previous version worked as expected?

Sorry
i tagged regression by mistake
it appear also in 2.18.25

#4 - 2018-11-05 05:15 PM - Antonio Viscomi

- File Avoid Intersections.png added

Antonio Viscomi wrote:

Giovanni Manghi wrote:

Did you tagged as a regression because a previous version worked as expected?

Sorry

i tagged regression by mistake
it appears also in 2.18.25

in screenshot appears the same bug...

the Avoid Intersections flag is active on the layer on which the snap is not active (and create a polygon don't ignore it)

#5 - 2018-11-05 05:36 PM - Giovanni Manghi
- Regression? changed from Yes to No

- Status changed from Feedback to Open

- Operating System deleted (windows 7 x64)

#6 - 2018-11-05 09:48 PM - Rob Willson

sorry if I'm not understanding this correctly but | think this would be be the correct behaviour. | often want to have avoid intersection work for a layer but
have snapping for that layer turned off.

| admit it would be nice if you could still check the box to turn off avoid intersections without having to turn snapping back on for that layer.

#7 - 2018-11-06 12:25 AM - Antonio Viscomi

Rob Willson wrote:

sorry if I'm not understanding this correctly but | think this would be be the correct behaviour. | often want to have avoid intersection work for a layer
but have snapping for that layer turned off.

| admit it would be nice if you could still check the box to turn off avoid intersections without having to turn snapping back on for that layer.

Sorry but,

how could work avoid intersections if the snap is disabled for that layer?

The problem is that the flag on avoid intersection related to the layer with the snap disabled, prevents the creation of a new feature in the layer where the
snap is active

Then | suggest that the correct behavior should be one of the following two:
1- the editing tools should ignore all snapping setting for a layer with snap unchecked;

2-alternatively, the check for avoid intersections should automatically disable when the snap related to that layer is turned off

#8 - 2018-11-06 11:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

| also think that there is no issue here. The "avoid intersection” flag is not directly related with the other that enables snapping for a layer.

As it works for snapping also the "avoid intersection" property works among different layers.

If I'm not wrong this is how it worked also on 2.*.

#9 - 2018-11-06 01:51 PM - Antonio Viscomi

Giovanni Manghi wrote:

| also think that there is no issue here. The "avoid intersection” flag is not directly related with the other that enables snapping for a layer.

As it works for snapping also the "avoid intersection” property works among different layers.

If I'm not wrong this is how it worked also on 2.,

But "avoid intersection" is or not related to the snapping option of a layer?

Well

- if is related it should follow the snapping check for each layer;

- if is not sorry for my misunderstanding

#10 - 2018-11-07 12:13 PM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to invalid

But "avoid intersection" is or not related to the snapping option of a layer?

no, is not related. As you can see you can avoid intersections even if snapping is not enabled.

#11 - 2018-11-07 02:00 PM - Antonio Viscomi

Giovanni Manghi wrote:

But "avoid intersection” is or not related to the snapping option of a layer?

no, is not related. As you can see you can avoid intersections even if snapping is not enabled.
This is noreal in 3.4.1 and Master...
If you don't previously flag the snap check for a layer
Avoid intersections is not selectable

Seeing is believing

#12 - 2018-11-07 02:26 PM - Giovanni Manghi
- Priority changed from Normal to High

- Resolution deleted (invalid)

- Regression? changed from No to Yes

- Subject changed from Avoid intersection don't works in 3.4 to "avoid intesection" cannot be enabled without activating snapping

- Description updated
- Status changed from Closed to Open

This is no real in 3.4.1 and Master...
If you don't previously flag the snap check for a layer

Avoid intersections is not selectable

Seeing is believing

subject and description updated.

Files

Avoid_Intersections.mp4 1.75 MB 2018-11-05 Antonio Viscomi

Avoid Intersections.png 176 KB 2018-11-05 Antonio Viscomi
